import { RequestClient } from '@segment/actions-core';
import { DynamicFieldResponse, Features } from '@segment/actions-core';
import { Settings } from '../generated-types';
import { Payload } from './generated-types';
export declare function dynamicChannel(features?: Features): Promise<DynamicFieldResponse>;
export declare function dynamicSenderType(payload: Payload): Promise<DynamicFieldResponse>;
export declare function dynamicFromPhoneNumber(request: RequestClient, payload: Payload, settings: Settings): Promise<DynamicFieldResponse>;
export declare function dynamicMessagingServiceSid(request: RequestClient, settings: Settings): Promise<DynamicFieldResponse>;
export declare function dynamicContentTemplateType(payload: Payload): Promise<DynamicFieldResponse>;
export declare function dynamicContentSid(request: RequestClient, payload: Payload): Promise<DynamicFieldResponse>;
export declare function dynamicContentVariables(request: RequestClient, payload: Payload): Promise<DynamicFieldResponse>;
